﻿Imports TestMasterChildForm.myDataset
Public Class HauptForm
    Private Sub btnNewDatas_Click(sender As Object, e As EventArgs) Handles btnNewDatas.Click
        MyDataset.myTable.Clear()
        MyDataset.myTable.AddmyTableRow("Max", "Musterman")
        MyDataset.myTable.AddmyTableRow("Erika", "Musterfrau")
        MyDataset.myTable.AddmyTableRow("Frank", "Zappa")
        MyDataset.myTable.AddmyTableRow("Suzi", "Quatro")
        MyDataset.myTable.AddmyTableRow("und so", "weiter")
    End Sub

    Private Sub btnEdit_Click(sender As Object, e As EventArgs) Handles btnEdit.Click
        EditDatas(True)
    End Sub

    Private Sub btnNew_Click(sender As Object, e As EventArgs) Handles btnNew.Click
        Me.MyTableBindingSource.AddNew()
        Me.MyTableBindingSource.EndEdit()
        EditDatas(False)
    End Sub

    Private Sub btnDelete_Click(sender As Object, e As EventArgs) Handles btnDelete.Click
        If Me.MyTableBindingSource.Current Is Nothing Then Return
        Me.MyTableBindingSource.RemoveCurrent()
    End Sub

    Private Sub EditDatas(editmode As Boolean)
        If MyTableBindingSource.Current IsNot Nothing Then
            Dim frm As New EditForm
            frm.EditBindingSource.DataSource = MyDataset
            frm.EditBindingSource.Filter = "ID=" & DirectCast(DirectCast(MyTableBindingSource.Current, DataRowView).Row, myTableRow).ID.ToString
            frm.EditMode = editmode
            frm.ShowDialog(Me)
            MyTableBindingSource.EndEdit()
        Else
            MessageBox.Show("keine Daten...", "Ups")
        End If
    End Sub

    Dim myDataFile = "myDatas.xml"

    'Private Sub HauptForm_FormClosing(sender As Object, e As FormClosingEventArgs) Handles MyBase.FormClosing
    '    MyDataset.WriteXml(myDataFile)
    'End Sub

    Private Sub btnLoad_Click(sender As Object, e As EventArgs) Handles btnLoad.Click
        Dim fi = New IO.FileInfo(myDataFile)
        If fi.Exists Then
            MyDataset.Clear()
            MyDataset.ReadXml(myDataFile)
        End If
    End Sub

    Private Sub btnSave_Click(sender As Object, e As EventArgs) Handles btnSave.Click
        MyDataset.WriteXml(myDataFile)
    End Sub

End Class
